package com.fidms.web.domain;

import java.math.BigDecimal;

import com.fidms.common.annotation.Excel;
import com.fidms.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 红外输入对象 bz_infrared_input_t
 * 
 * @author Allen
 * @date 2023-05-08
 */
public class InfraredInput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 完好发射率 */
    @Excel(name = "完好发射率")
    private BigDecimal FullLaunchRate;

    /** 损伤发射率 */
    @Excel(name = "损伤发射率")
    private BigDecimal DamageLaunchRate;

    /** 损伤区域 */
    @Excel(name = "损伤区域")
    private String DamageArea;

    /** 损伤面积比 */
    @Excel(name = "损伤面积比")
    private BigDecimal DamageAreaRatio;

    /** 表面状态说明 */
    @Excel(name = "表面状态说明")
    private String SurfaceDescription;

    /** 探测距离*/
    @Excel(name = "探测距离")
    private BigDecimal DetectDistance;

    /** 探测方位角 */
    @Excel(name = "探测方位角")
    private BigDecimal DetectAngle;

    /** 红外波段 */
    @Excel(name = "红外波段")
    private BigDecimal InfraredBand;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setFullLaunchRate(BigDecimal FullLaunchRate)
    {
        this.FullLaunchRate = FullLaunchRate;
    }
    public BigDecimal getFullLaunchRate()
    {
        return FullLaunchRate;
    }

    public void setDamageLaunchRate(BigDecimal DamageLaunchRate)
    {
        this.DamageLaunchRate = DamageLaunchRate;
    }
    public BigDecimal getDamageLaunchRate() {
        return DamageLaunchRate;
    }

    public void setDamageArea(String damageArea) {
        this.DamageArea = damageArea;
    }

    public String getDamageArea() {
        return DamageArea;
    }

    public void setDamageAreaRatio(BigDecimal damageAreaRatio) {
        this.DamageAreaRatio = damageAreaRatio;
    }

    public BigDecimal getDamageAreaRatio() {
        return DamageAreaRatio;
    }

    public void setSurfaceDescription(String SurfaceDescription)
    {
        this.SurfaceDescription = SurfaceDescription;
    }

    public String getSurfaceDescription() {
        return SurfaceDescription;
    }

    public void setDetectDistance(BigDecimal detectDistance) {
        this.DetectDistance = detectDistance;
    }

    public BigDecimal getDetectDistance() {
        return DetectDistance;
    }

    public void setDetectAngle(BigDecimal detectAngle)
    {
        this.DetectAngle = detectAngle;
    }

    public BigDecimal getDetectAngle() {
        return DetectAngle;
    }

    public void setInfraredBand(BigDecimal infraredBand)
    {
        this.InfraredBand = infraredBand;
    }

    public BigDecimal getInfraredBand() {
        return InfraredBand;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("FullLaunchRate", getFullLaunchRate())
            .append("DamageLaunchRate", getDamageLaunchRate())
            .append("DamageArea", getDamageArea())
            .append("DamageLaunchRatio", getDamageAreaRatio())
            .append("SurfaceDescription", getSurfaceDescription())
            .append("DetectDistance", getDetectDistance())
            .append("DetectAngle", getDetectAngle())
            .append("InfraredBand", getInfraredBand())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
